%define upstream_name    Variable-Magic
%define upstream_version 0.59
%define __noautoprov 'Magic.so'

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

License:	GPL+ or Artistic
Group:		Development/Perl
Summary:	Associate magic to variables from Perl

Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Variable/Variable-Magic-%{upstream_version}.tar.gz

BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires:	perl(XSLoader)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Select)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Test::More) >= 1.1.9
BuildRequires:	perl(XSLoader)
BuildRequires:	perl(base)
BuildRequires:	perl-devel


%description
Magic is Perl's way of enhancing objects. This mechanism lets the user add
extra data to any variable and hook syntactical operations (such as access,
assignation or destruction) that can be applied to it. With this module,
you can add your own magic to any variable without the pain of the C API.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README Changes META.json META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/Variable
%{perl_vendorarch}/auto/Variable


%changelog

* Thu Oct 15 2015 abfonly <abfonly@gmail.com> 0.590.0-1
- (ce7eed0) Log: Update to 0.590.0


